Skip to main content
GET
/
api
/
v3
/
onramp
/
{referenceId}
Get Status Response
curl --request GET \
  --url https://preview.kotanipay.com/api/v3/onramp/{referenceId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Onramp status successfully retrieved.",
  "data": {
    "referenceId": "<string>",
    "depositStatus": "PENDING",
    "onchainStatus": "PENDING",
    "rate": {},
    "fiatAmount": 123,
    "cryptoAmount": 123,
    "transactionHash": "<string>",
    "error": {
      "message": "<string>",
      "code": "<string>",
      "details": {}
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Get the status of an onramp transaction using the reference ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

referenceId
string
required

Response

success
boolean
Example:

true

message
string
Example:

"Onramp status successfully retrieved."

data
object